#pragma once
#include "explorer1.h"
#include "afxwin.h"
#include "afxcmn.h"
#include "ToolTipListCtrl.h"

// CAutoSubmissionDlg dialog

class CAutoSubmissionDlg : public CDialog
{
	DECLARE_DYNAMIC(CAutoSubmissionDlg)

public:
	CAutoSubmissionDlg(CWnd* pParent = NULL);   // standard constructor
	virtual ~CAutoSubmissionDlg();

// Dialog Data
	enum { IDD = IDD_AUTOSUBMIT_DLG };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
public:
	CExplorer1 mBrowser;
	virtual BOOL OnInitDialog();
	afx_msg void OnSize(UINT nType, int cx, int cy);

	int mSizeInited;

	int mCurIndex;
	void StartAuto();

	CButton mNextButton;
	CButton mStartButton;
	afx_msg void OnBnClickedStart();
	afx_msg void OnBnClickedNext();
	CToolTipListCtrl  mSiteList;
	afx_msg void OnSetFocus(CWnd* pOldWnd);

	void UpdateSites();
	void UpdateGUI();
	afx_msg void OnLvnColumnclickSitelist(NMHDR *pNMHDR, LRESULT *pResult);
	afx_msg void OnNMKillfocusSitelist(NMHDR *pNMHDR, LRESULT *pResult);
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
};
